\documentclass{standalone}
\usepackage{pgfplots}
\pgfplotsset{compat=1.8}

\begin{document}
\begin{tikzpicture}

    % Manifold
    \begin{axis}[
        hide axis,
        view={140}{25},
        axis equal,
        domain=0:360,
        y domain=0:1.25,
        % xmax=2,ymax=2,zmin=-0.5,zmax=1.5,
        ticks=none,
        clip bounding box=upper bound
        ]

        % Manifold
        \addplot3 [surf, 
                    shader=flat, 
                    draw=black, 
                    fill=white, 
                    samples= 25,
                    z buffer=sort] ({sin(x)*y}, {cos(x)*y}, { (1 - y^2)^0.5});
        \draw [thick,black] (axis cs: 0.95, -0.7, 0.2) node [above=0.0] {$\mathcal{M}$};

        % Tangenspace
        \addplot3 [surf, 
                    shader=flat,
                    draw=black,
                    fill=red,
                    samples = 2,
                    samples y = 2, 
                    domain=-1:1, 
                    domain y=-1:1, 
                    opacity=0.2] ({x}, {y}, {1});
        \addplot3 [mesh, 
            draw=red,
            samples = 2,
            samples y = 2, 
            domain=-1:1, 
            domain y=-1:1, 
            opacity=1] ({x}, {y}, {1});

                    
        % Arrow Tangentspace
        \addplot3 [ red,
        shader=interp, 
        thick,
        quiver = {u=-0.35, v=0.9, w=0},
        -stealth,
        domain=0:1 ] ({0}, {0}, {1});
        \draw [thick,red] (axis cs: 0.75, -0.4, 1) node [above=-4.0] {$T_p\mathcal{M}$};
        
        \draw [thick,red] (axis cs: -0.35, 0.7, 1) node [above=-2.5] {$\eta$};
        
        % Exponential Map
        \addplot3 [
            blue,
            % shader=interp, 
            thick,
            domain=0:50,
            samples y=1] ({sin(x)*cos(111)}, {sin(x)*sin(111)}, {cos(x)} );
                        
        \draw [thick,blue] (axis cs: 0, 0, 1.1) node [above=0] {$p$};         
        \draw [fill, blue] (axis cs: 0, 0, 1) circle (2pt);         
        \draw [thick,blue] (axis cs: -0.27453, 0.71516, 0.63279) edge[semithick,black,out=-30, in=-180, stealth-] (axis cs: -0.6, 1, 0.4) node[above=-15, right=28.0] {$q$};         
        \draw [fill, blue] (axis cs: -0.27453, 0.71516, 0.63279) circle (1pt);         


        \draw [thick, magenta] (axis cs: -0.27453, 0.71516, 0.63279) edge[out= 15, in=-60, stealth-] (axis cs:-0.35, 0.9, 1) node[above=10, right=10.5] {$Exp_p \eta$};         

    \end{axis}
    
\end{tikzpicture}
\end{document}